Skip to content

Autopay Details

GET
/api/v1/get-prepaid-autopay-options/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/get-prepaid-autopay-options/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Fetches the current autopay settings for a prepaid project, including credit refill and alert preferences.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Successful response with prepaid autopay options

Media typeapplication/json
object
code
integer
data
Array<object>
object
autopayoption_id
integer
refill_credits
boolean
low_credits_alert
boolean
threshold_credits
number
nullable
minimum_credits_refill
number
nullable
credit_alert_threshold
number
credit_alert_via_sms
boolean
credit_alert_via_email
boolean
smart_topup_enabled
boolean
errors
Array<string>
message
string

Example

{
"code": 200,
"data": [
{
"autopayoption_id": 16293,
"refill_credits": false,
"low_credits_alert": false,
"threshold_credits": null,
"minimum_credits_refill": null,
"credit_alert_threshold": 1000,
"credit_alert_via_sms": false,
"credit_alert_via_email": true,
"smart_topup_enabled": false
}
],
"errors": [],
"message": "Success"
}